use std::time::Instant;

mod stack;
mod game;

use game::Game;


fn main() {
    let n_games = 10_000_000;

    let start = Instant::now();
    let game = Game::new_random();
    let _scores = game.project_outcomes(n_games);
    let end = Instant::now();

    let elapsed = end.duration_since(start);
    let secs = elapsed.as_secs();
    let hundredths = elapsed.subsec_millis() / 10; // technically not accurate but good enough for now

    let rate = (10_000_000 as f64) / elapsed.as_secs_f64();

    println!("Test completed:");
    println!("{n_games} in {secs}.{hundredths:02} seconds", );
    println!("Games per second: {rate}");
}
